- Home
- Cyrus IMAP
- Download
- Contribute

# sasl_log_t - The SASL logging callback

## Synopsis

    #include <sasl/sasl.h>

    int sasl_log_t(void *context,
                  int level,
                  const char * message);

## Description

int sasl_log_t(void *context,
int level,
const char * message);
  sasl_log_t is used to log warning/error messages from the

    SASL library. If not specified syslog will be used.

## Return Value

SASL callback functions should return SASL return codes. See sasl.h for a complete list. `SASL_OK` indicates success.

## See Also

RFC 4422,:saslman:sasl(3), sasl_callbacks(3), sasl_errors(3)